> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Section by ID

> Get a single section.     
For more information about the group system, see [the Groups and Sections description](/guides/api/resources/organizations/groups).




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /sections/{section_id}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /sections/{section_id}:
    get:
      tags:
        - Groups and Sections
      summary: Get Section by ID
      description: >
        Get a single section.     

        For more information about the group system, see [the Groups and
        Sections description](/guides/api/resources/organizations/groups).
      operationId: getGroupSectionById
      parameters:
        - $ref: '#/components/parameters/path_section_id'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SectionItem'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    path_section_id:
      in: path
      name: section_id
      required: true
      schema:
        type: integer
      description: Section ID
  schemas:
    SectionItem:
      type: object
      properties:
        id:
          type: integer
          example: 1
          description: ID of the section
        name:
          type: string
          example: Country
          description: Name of the section, must be unique
        groups:
          type: array
          items:
            $ref: '#/components/schemas/GroupItem'
        can_edit:
          description: >-
            If the current user has the right to edit or delete the section, or
            one of the groups it contains
          type: boolean
        has_puller:
          description: >-
            If the section is connected to an automated data puller or not.
            Sections linked to pullers cannot be modified or deleted. Should you
            want to make any changes to a section connected to a puller, please
            contact support for assistance.
          type: boolean
    GroupItem:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        has_puller:
          description: >-
            If the group is connected to an automated data puller or not. Groups
            linked to pullers cannot be modified or deleted. Should you want to
            make any changes to a group connected to a puller, please contact
            support for assistance.
          type: boolean
        business_count:
          type: integer
          description: >-
            Number of businesses in the group that the requesting user has
            access to. Note that this might not be the same number as the total
            number of businesses in the group.
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````